class Composer

    def self.development
        self.get_composer
        puts '---- Running development Composer installation'
        fail 'Composer development installation failed' unless system 'php composer.phar install --verbose --profile'
    end

    def self.production
        self.get_composer
        puts '---- Running production Composer installation'
        fail 'Composer production installation failed' unless system 'php composer.phar install --no-dev --optimize-autoloader --no-interaction --verbose --profile'
    end

    private
    def self.get_composer
        puts '---- Downloading latest Composer'
        fail 'Composer download failed' unless system 'curl -sS https://getcomposer.org/installer | php'
    end

end