class Doctrine

    def self.create_database
        puts '---- Creating Database'
        fail 'Database creation failed!' unless /(exists|Created)/.match(`app/console doctrine:database:create`)
    end

    def self.run_migrations
        puts '---- Running Migrations'
        fail 'Migrations failed!' unless system 'app/console doctrine:migrations:migrate -n'
    end

    def self.clear_metadata_cache
        puts '---- Clearing Metadata Cache'
        fail 'Clearing metadata cache failed' unless system 'app/console doctrine:cache:clear-metadata'
    end

    def self.clear_query_cache
        puts '---- Clearing Query Cache'
        fail 'Clearing query cache failed' unless system 'app/console doctrine:cache:clear-query'
    end

    def self.clear_result_cache
        puts '---- Clearing Result Cache'
        fail 'Clearing result cache failed' unless system 'app/console doctrine:cache:clear-result'
    end

    def self.ensure_production
        puts '---- Ensuring database has production settings'
        fail 'Database is not in production' unless system 'app/console doctrine:ensure-production-settings'
    end
end