class Symfony

    def self.doctrine
        Doctrine
    end

    def self.fos_oauth
        FosOAuth
    end

    def self.security_check
        puts '---- Running SensioLabs bundle security checker'
        fail 'Security check failed!' unless system 'app/console security:check'
    end

    def self.code_sniffer
        puts '---- Getting latest SensioLabs Code Sniffer'
        fail 'Failed fetching the code sniffer!' unless system 'curl http://get.sensiolabs.org/php-cs-fixer.phar -o php-cs-fixer'
        fail 'Coding standards failed!' unless system 'php php-cs-fixer fix src/ --dry-run'
        fail 'Clean up failed!' unless system 'rm php-cs-fixer'
    end

    def self.cache_warm(environment)
        puts '---- Warming the Symfony Cache'
        fail 'Failed to warm the Symfony Cache' unless system "app/console cache:warm -e #{environment}"
    end

    def self.cache_clear(environment)
        puts '---- Warming the Symfony Cache'
        fail 'Failed to warm the Symfony Cache' unless system "app/console cache:clear -e #{environment}"
    end

    def self.install_assets
        puts '---- Installing Assets'
        fail 'Failed to install assets' unless system 'app/console assets:install'
    end

    def self.start_server
        puts '---- Starting PHP Server'
        fail 'Failed to start server' unless system 'app/console server:start'
    end

    def self.stop_server
        puts '---- Stopping PHP Server'
        fail 'Failed to stop server' unless system 'app/console server:stop'
    end

end

require 'symfony/doctrine'
require 'symfony/fos-oauth'